=== debian/control ===
Source: apache2
Section: httpd
Priority: optional
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Uploaders: Stefan Fritsch <sf@debian.org>, Steinar H. Gunderson <sesse@debian.org>, Arno Töll <arno@debian.org>
Build-Depends: debhelper (>= 8.9.7~), lsb-release, dpkg-dev (>= 1.16.1~),
 libaprutil1-dev (>= 1.5.0), libapr1-dev, libpcre3-dev, zlib1g-dev,
 libssl-dev (>= 0.9.8m), libcap-dev [linux-any], perl,
 liblua5.1-0-dev, libxml2-dev, autotools-dev, gawk | awk
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-apache/apache2.git
Vcs-Git: git://anonscm.debian.org/pkg-apache/apache2.git
Homepage: http://httpd.apache.org/

Package: apache2
Architecture: any
Depends: ${misc:Depends}, lsb-base, procps [!hurd-i386],
 perl, mime-support, apache2-bin (= ${binary:Version}),
 apache2-data (= ${source:Version}), ${perl:Depends}
Replaces: apache2.2-common
Conflicts: apache2.2-common
Recommends: ssl-cert
Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom,
 apache2-utils
Description: Apache HTTP Server
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains the configuration files, init scripts and support
 scripts. It does not install the actual apache2 binaries.

Package: apache2-data
Architecture: all
Depends: ${misc:Depends}
Replaces: apache2.2-common
Conflicts: apache2.2-common
Multi-Arch: foreign
Description: Apache HTTP Server (common files)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains architecture-independent common files such as icons,
 error pages and static index files.

Package: apache2-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
# MODULE_MAGIC_NUMBER_MAJOR from apache2/include/ap_mmn.h
Provides: ${apache2:API}, httpd, httpd-cgi
Suggests: www-browser, apache2-doc, apache2-suexec-pristine | apache2-suexec-custom
Replaces: apache2.2-bin (<< 2.3~), apache2.2-common, apache2-mpm-prefork (<< 2.3~),
 apache2-mpm-itk (<< 2.3~), apache2-mpm-worker (<< 2.3~), apache2-mpm-event (<< 2.3~),
 libapache2-mod-proxy-html (<< 1:2.4.4-2~), libapache2-mod-macro (<< 1:2.4.6-1~)
Conflicts: apache2.2-bin (<< 2.3~), apache2.2-common
Breaks: libapache2-mod-proxy-html (<< 1:2.4.4-2~), libapache2-mod-macro (<< 1:2.4.6-1~)
Description: Apache HTTP Server (binary files and modules)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package contains the binaries only and does not set up a working
 web-server instance. Install the "apache2" package to get a fully working
 instance. Do not install this package unless you want to set-up the Apache
 HTTP server entirely on your own.

Package: apache2-mpm-worker
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional worker MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-worker and
 can be safely removed after the installation is complete.

Package: apache2-mpm-prefork
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional prefork MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-prefork and
 can be safely removed after the installation is complete.

Package: apache2-mpm-event
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional event MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-event and
 can be safely removed after the  installation is complete.

Package: apache2-mpm-itk
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2 (= ${binary:Version})
Description: transitional itk MPM package for apache2
 This is a transitional package to apache2 for users of apache2-mpm-itk and
 can be safely removed after the installation is complete.

Package: apache2.2-bin
Architecture: any
Section: oldlibs
Priority: extra
Breaks: gnome-user-share (<< 3.8.0-2~), libapache2-mod-dnssd (<< 0.6-3.1~)
Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
Description: Transitional package for apache2-bin
 This is a transitional package for apache2-bin, and can be safely removed
 after the installation is complete.

Package: libapache2-mod-proxy-html
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
Description: Transitional package for apache2-bin
 This is a transitional package for apache2-bin, and can be safely removed
 after the installation is complete.

Package: libapache2-mod-macro
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends}, apache2-bin (>= 2.3~)
Description: Transitional package for apache2-bin
 This is a transitional package for apache2-bin, and can be safely removed
 after the installation is complete.


Package: apache2-utils
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Description: Apache HTTP Server (utility programs for web servers)
 Provides some add-on programs useful for any web server.  These include:
  - ab (Apache benchmark tool)
  - fcgistarter (Start a FastCGI program)
  - logresolve (Resolve IP addresses to hostname in logfiles)
  - htpasswd (Manipulate basic authentication files)
  - htdigest (Manipulate digest authentication files)
  - htdbm (Manipulate basic authentication files in DBM format, using APR)
  - htcacheclean (Clean up the disk cache)
  - rotatelogs (Periodically stop writing to a logfile and open a new one)
  - split-logfile (Split a single log including multiple vhosts)
  - checkgid (Checks whether the caller can setgid to the specified group)
  - check_forensic (Extract mod_log_forensic output from Apache log files)
  - httxt2dbm (Generate dbm files for use with RewriteMap)

Package: apache2-suexec
Architecture: any
Section: oldlibs
Priority: extra
Depends: ${misc:Depends},
 apache2-suexec-pristine (= ${binary:Version})
Description: transitional package for apache2-suexec-pristine
 This is a transitional package for apache2-suexec-pristine, and can be safely
 removed after the installation is complete.

Package: apache2-suexec-pristine
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-bin
Replaces: apache2-suexec (<< 2.3~)
Breaks: apache2-suexec (<< 2.3~)
Provides: apache2-suexec
Description: Apache HTTP Server standard suexec program for mod_suexec
 Provides the standard suexec helper program for mod_suexec. This version is
 compiled with document root /var/www and userdir suffix public_html. If you
 need different settings, use the package apache2-suexec-custom.

Package: apache2-suexec-custom
Priority: extra
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, apache2-bin
Replaces: apache2-suexec (<< 2.3~)
Breaks: apache2-suexec (<< 2.3~)
Provides: apache2-suexec
Description: Apache HTTP Server configurable suexec program for mod_suexec
 Provides a customizable version of the suexec helper program for mod_suexec.
 This is not the version from upstream, but can be configured with a
 configuration file.
 .
 If you do not need non-standard document root or userdir settings, it is
 recommended that you use the standard suexec helper program from the
 apache2-suexec-pristine package instead.

Package: apache2-doc
Section: doc
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Recommends: apache2
Depends: ${misc:Depends}
Description: Apache HTTP Server (on-site documentation)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides the documentation for the Apache 2 HTTP server. The
 documentation is shipped in HTML format and can be accessed from a local
 running Apache HTTP server instance or by browsing the file system directly.

Package: apache2-dev
Architecture: any
Depends: ${misc:Depends}, openssl,
 libapr1-dev, libaprutil1-dev, debhelper (>= 9), ${perl:Depends}
Provides: apache2-prefork-dev, apache2-threaded-dev, dh-apache2
Replaces: apache2-prefork-dev, apache2-threaded-dev
Conflicts: apache2-prefork-dev, apache2-threaded-dev
Description: Apache HTTP Server (development headers)
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package provides development headers and the apxs2 binary for the Apache 2
 HTTP server useful to develop and link third party additions to the Debian
 Apache HTTP server package.
 .
 It also provides dh_apache2 and dh sequence addons useful to install various
 Debian Apache2 extensions with debhelper. It supports
  - Apache 2 module configurations and shared objects
  - Site configuration files
  - Global configuration files

Package: apache2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, apache2-bin (= ${binary:Version})
Description: Apache debugging symbols
 The Apache Software Foundation's goal is to build a secure, efficient and
 extensible HTTP server as standards-compliant open source software. The
 result has long been the number one web server on the Internet.
 .
 This package includes the debugging symbols. It can be used to debug
 crashing server instances and modules.  See
 /usr/share/doc/apache2/README.backtrace for more information.
